2009-10-11  Michal Suchanek <hramrach@centrum.cz>

	* rbgdk-pixbuf.c: add Gdk::Pixbuf#pixels=.

2009-05-31  Kouhei Sutou  <kou@cozmixng.org>

	* lib/gdk_pixbuf2.rb: use gem version rcairo as fallback.
	Patch by OBATA Akio. Thanks!!!

2008-11-01  Kouhei Sutou  <kou@cozmixng.org>

	* ./: use RARRAY_PTR() and RARRAY_LEN().

2008-09-13  Kouhei Sutou  <kou@cozmixng.org>

	* extconf.rb: use check_cairo.

2008-06-11  Kouhei Sutou  <kou@cozmixng.org>

	* extconf.rb: include gdk-pixbuf/gdk-pixbuf.h in have_func test.

2008-04-13  Kouhei Sutou  <kou@cozmixng.org>

	* extconf.rb: fix rcairo's source path.

2007-12-28  Kouhei Sutou  <kou@cozmixng.org>

	* rbgdk-pixbuf.c (save, save_to_buffer):
	- cosmetic.
	- generalized.

	* rbgdk-pixbuf-loader.c: used RSTRING_LEN instead of RSTRING()->len.

2007-07-13  Guillaume Cottenceau

	* rbgdk-pixbuf-format.c, rbgdk-pixbuf.c, rbgdk-pixdata.c: replace
	RTEST uses by RVAL2CBOOL

2007-07-13  Guillaume Cottenceau

	* rbgdk-pixbuf-loader.c: "? Qtrue : QFalse" => CBOOL2RVAL cleanup

2007-07-12  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbuf.c: Revert the Gdk::Pixbuf#scale change. 

2007-07-07  Guillaume Cottenceau

	* rbgdk-pixbuf.c: fix multiple memory leaks

2007-07-07  Guillaume Cottenceau

	* rbgdk-pixbuf.c: thse can return NULL

2007-07-07  Guillaume Cottenceau

	* rbgdk-pixbuf.c: fix wrong order of arguments in using
	gdk_pixbuf_scale

2007-07-07  Guillaume Cottenceau

	* rbgdk-pixbuf.c: negative value for width or height in
	gdk_pixbuf_new_from_file_at_scale only supported in gtk 2.8

2007-07-07  Guillaume Cottenceau

	* rbgdk-pixbuf.c: slightly more general warning messages
	
2006-12-28  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbuf.c: Add a comment the change below.

2006-12-17  Kouhei Sutou  <kou@cozmixng.org>

	* extconf.rb, rbgdk-pixbuf.c, lib/gdk_pixbuf2.rb: moved
	integration API of Gdk::Pixbuf and Cairo::Context from Ruby/GTK2.

2006-06-22  Guillaume Cottenceau

	* rbgdk-pixbuf-loader.c: simplify code
	
2006-06-17  Masao Mutoh  <mutoh@highway.ne.jp>

	* sample/*.rb: Remove Gtk.init, Code cleanup.

2006-04-23  NISHI Takao

	* rbgdk-pixdata.c: Gdk::Pixdata#length returns the size of pixel_data.
	(length - GDK_PIXDATA_HEADER_LENGTH).
	Gdk::Pixdata#pixel_data returns the data size of length - 
	GDK_PIXDATA_HEADER_LENGTH. [Patch#1473708]

2005-09-24 Guillaume Cottenceau

	* rbgdk-pixbuf.c, rbgdk-pixbuf.h, rbgdk-pixbufsimpleanim.c,
	  sample/simpleanim.rb: 2.8: add Gdk::PixbufSimpleAnim with #new
	  and #add_frame
	
2005-09-18  Kouhei Sutou  <kou@cozmixng.org>

	* rbgdk-pixbuf.c (get_pixels): Fix pixels size.

2005-07-23  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbuf.c, rbgdk-pixbuf-loader.c, rbgdk-pixbuf-format.c: 
	Fix a compiling warning. 

2005-03-22  Mirko Maischberger  <mirko@lilik.it>

	* sample/*.rb: sh-bang (!#) normalization.
	Reported by Mezz
	
2005-03-06  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbuf-format.c: Fix a compilation problemn on GTK+-2.0.x.
	* README: Revised.

2005-02-13  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbuf.c: Implement gdk_pixbuf_new_from_file_at_scale 
	as Gdk::Pixbuf.new. 
	* rbgdk-pixbuf-format.c: Added Gdk::PixbufFormat#scalable?,
	#disable?, #set_disabled, #license.
	* rbgdk-pixbuf.c: Added Gdk::Pixbuf#rotate, #flip for GTK+-2.6. 
	* sample/flip.rb, rotate.rb: Added.

2005-02-01  Masao Mutoh  <mutoh@highway.ne.jp>

	* extconf.rb: Use create_makefile_at_srcdir.

2005-01-30  Masao Mutoh  <mutoh@highway.ne.jp>

	* extconf.rb: Follow mkmf-gnome2.rb changes.

2004-12-16  leon breedt  <bitserf@gmail.com>

	* rbgdk-pixbuf-format.c, rbgdkpixbuf.h: Fix compilation problems.

2004-12-01  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbufanimation.c: Fix a wrong number of arguments for 
	Gdk::PixbufAnimationIter#advance. 
	* rbgdk-pixbuf.c: Fix memoryleak for Gdk::Pixbuf#add_alpha. 
	* rbgdk-pixbuf-loader.c: Undef Gdk::PixbufLoader#dup.
	* rbgdk-pixbuf.c: Fix a compilation warning. 

2004-11-30  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbuf-loader.c: Fix an error message.

2004-11-14  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbuf.c, rbgdk-pixbuf-format.c: 
	Fix compiling warning/error under GTK+-2.2.4. 
	* rbgdk-pixbuf-loader.c, extconf.rb: Support GTK+-2.0.x again.

2004-11-06  Geoff Youngs  <g@intersect-uk.co.uk>

	* rbgdk-pixbuf.c: Gdk::Pixbuf.get_file_info()
	  Return image width and height as well as the GdkPixbufFormat

2004-09-23  Masao Mutoh  <mutoh@highway.ne.jp>

	* lib/gdk_pixbuf2.rb: Improved log handling.
	Added Gdk::Pixbuf::LOG_DOMAIN.
	Rename GLib::Log.set_error_domain to GLib::Log.set_log_domain.	

2004-08-29  Masao Mutoh  <mutoh@highway.ne.jp>

	* lib/gdk_pixbuf2.rb: Added Gdk::PixbufLoader.open.
	* rbgdk-pixbuf-loader.c: Added Gdk::PixbufLoader#format, #set_size
	for GTK+-2.2.
	* rbgdk-pixbuf.c: Added Gdk::Pixbuf#save_to_buffer. 

2004-08-28  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbuf.c: Added Gdk::Pixbuf.formats, Gdk::Pixbuf#set_option for GTK+-2.2. 
	* rbgdk-pixbuf-format.c, sample/format.rb: Added for GTK+-2.2.
	* rbgdk-pixbuf.c: Added Gdk::Pixbuf.new(filename, width, height), 
	Gdk::Pixbuf.get_file_info for GTK+-2.4. 

2004-08-19  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbuf.c: Improve error handling. 

2004-08-14  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbufanimation.c: parameters of Gdk::PixbufAnimation#get_iter, 
	Gdk::PixbufAnimationIter#advance are changed.
	* rbgdk-pixbuf.c: Remove Gdk::Pixbuf.new_subpixbuf and merge it to 
	Gdk::Pixbuf.new. 
	* sample/inline.rb, pixdata.rb: Added.

2004-08-13  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixdata.c: Rename Gdk::Pixdata#pixbuf to Gdk::Pixdata#to_pixbuf.
	Fix a bug of Gdk::Pixdata.deserialize, Gdk::Pixdata#pixel_data.
	Fix a memory leak of Gdk::Pixdata.from_pixbuf.

2004-07-03  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbuf.c: Remove Gdk::Pixbuf::VERSION which causes a segfault
	on Win32 and tml's GTK+-2.4.0. Pointed out by Laurent.

2003-12-20  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbuf.c: Fix lack of the data in Gdk::Pixbuf.pixels.
	(Bugs [857123])

2003-10-14  KATO Kazuyoshi  <kzys@users.sf.net>

	* rbgdk-pixbuf.c: Add Gdk::Pixbuf#pixels.

2003-10-10  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbuf.c: Fix memory leaks of Gdk::Pixbuf#scale, #composite. 
	(Bugs [814787])

2003-10-07  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbuf.c: Retry once if Gdk::Pixbuf.new is failed.

2003-09-01  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbuf.c:  Apply enum/flags.

2003-08-28  Masao Mutoh  <mutoh@highway.ne.jp>

	* extconf.rb: Exit with 1 when the package is not found.
                                                                                
2003-08-21  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* rbgdk-pixbuf.c: use G_DEF_CONSTANTS() and define enum/flags classes.

2003-07-12  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbuf.c: Seprate Gdk::Pixbuf#scale to #scale and #scale!.
	Separate Gdk::Pixbuf#composite to #composite and #composite!.
	* sample/scale.rb, composite.rb: Follow changes.
	* ChangeLog: Revise date format.

2003-07-10  Mikael Magnusson <mikma@users.sourceforge.net>

	* rbgdk-pixbuf.c, sample/scale.rb, composite.rb: 
	Gdk::Pixbuf#scale and #composite accept destination pixbuf instead of nil.
	
2003-05-27  Masao Mutoh  <mutoh@highway.ne.jp>

	* extconf.rb: Follow mkmf-gnome2.rb position changes.

2003-05-02  Geoff Youngs <g@intersect-uk.co.uk>

	* rbgdk-pixbuf.c: Bugfix for Gdk::Pixbuf#composite

2003-03-07  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* rbgdk-pixbuf-loader.c: rename write and close to 
	loader_write and loader_close respectively for avoiding crash with
	system's definitions of these names

	* extconf.rb: check if gdk_pixbuf_version is available or not.
	Because tml's libgdk_pixbuf-2.0-0.dll doesn't export this.
	* rbgdk-pixbuf.c: ditto

2003-02-17  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* rbgdk-pixbufanimation.c: change tvsec and tvusec to static variable.

2003-02-14  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* extconf.rb: Use ../mkmf-gnome.rb

2003-02-13  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* rbgdk-pixbufanimation.c,rbgdk-pixdata.c: Suppress warnings.

2003-01-18  Masao Mutoh  <mutoh@highway.ne.jp>

	* *.[ch]: Update Copyright. 
	* sample/*: Update Copyright. Require 'gtk2'.
	* sample/loader.rb: Added.

2003-01-18  Geoff Youngs <g@intersect-uk.co.uk>

	* rbgdk-pixbuf-loader.c: Added.

2002-12-30  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbuf.c: Move GTK+'s functions to Ruby/GTK. 
	* lib/gdk_pixbuf2.rb: Remove "require 'gtk2'". Now, Ruby/GdkPixbuf doesn't depend on 
	Ruby/GTK.
	* sample/.rb: Require 'gtk2' instead of 'gdk_pixbuf2'.
	* sample/to_drawable: Move to gtk/sample/misc/.
	* rbgdkpixbuf.h: Add a file.
	* *.c: Include rbgdkpixbuf.h.
	* README, COPYING.LIB: Change license term from "the GNU LIBRARY General Public 
	License version 2." to "the GNU LESSER GENERAL PUBLIC LICENSE Version 2.1.".

2002-12-13  Hiroshi IGARASHI  <iga@ruby-lang.org>

	* extconf.rb: add space before include directory option to $CFLAGS.

2002-12-07  Masao Mutoh  <mutoh@highway.ne.jp>

	* *.c: Change headers like as Ruby/GTK.
	* rbgdk-pixdata.c: Add a file. 

2002-11-27  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbuf.c: Follow Ruby/GLib changes.
	Reported by Michael C. Libby <m_libby@andsoforth.com>.

2002-11-22  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbufanimation.c: Add a file.
	* rbgdk-pixbuf.c: Rename Gdk::Pixbuf#option to Gdk::Pixbuf#get_option.
	Add Gdk::Pixbuf#composite, #add_alpha, #copy_area, 
	#saturate_and_pixelate, #fill!.
	BugFix for wrong arguments of Gdk::Pixbuf#initialize.
	BugFix for Gdk::Pixbuf::VERSION.
	* sample/composite.rb, utils.rb, floppybuddy.gif, anim.rb: Add samples.

2002-11-21  Masao Mutoh  <mutoh@highway.ne.jp>

	* rbgdk-pixbuf.c: Gdk::Pixbuf.new accept xpm data and colorspace.
	Add Gdk::Pixbuf#get_subpixbuf, #dup.
	* sample/xpm.rb: Add a sample.
	* sample/scale.rb: Code cleanup.

2002-11-19  Masao Mutoh  <mutoh@ejp1177linux.jpn.hp.com>

	* rbgdk-pixbuf.c: Implement Gdk::Pixbuf#save.
	Improve an error handling of Gdk::Pixbuf#initialize.
	Change default interp_type of Gdk::Pixbuf#scale.
	* sample/save.rb: Add a file.

2002-11-10  Masao Mutoh  <mutoh@highway.ne.jp>

	* README: Revised.
	* COPYING: Removed.

2002-11-05  Masao Mutoh  <mutoh@ejp1177linux.jpn.hp.com>

	* rbgdk-pixbuf.c: Bugfix for "undefined symbol: DBL2INT", "CSTR2STR",
	"STR2CSTR".
	(pointed out by KUBO Takehiro <kubo@jiubao.org>)
	* README: Add copyright.

2002-11-05  Masao Mutoh  <mutoh@ejp1177linux.jpn.hp.com>

	* rbgdk-pixbuf.c: Apply Ruby-GNOME2 rules.Code cleanup.Some modified.
	* sample/test.rb: Removed.
	* sample/*.rb: Follow Ruby/GTK2, rbgdk-pixbuf.c changes.

2002-09-14  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* extconf.rb: Append -fnative-struct to $CFLAGS when G_OS_WIN32 is
	defined
	* lib/gdk_pixbuf2.rb: rename from lib/gdk_pixbuf.rb
	* sample/*.rb: ditto 

2002-08-03  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* extconf.rb, rbgdk-pixbuf.c, lib/gdk_pixbuf.rb, sample/*.rb:
	port to Ruby/GNOME2

2002-05-29  Masao Mutoh <mutoh@highway.ne.jp>

   	* README: Modified.

2001-11-24  Neil Conway <neilconway@rogers.com>

	* MANIFEST: File removed.

2001-11-22  Akinori MUSHA <knu@iDaemons.org>

	* extconf.rb: allow the user to specify where to find
	glib-config and gdk-pixbuf-config.

2001-10-08  Neil Conway <neilconway@rogers.com>

	* README: improve documentation, add contact info.
	* ChangeLog: remove duplicate entries.

2001-10-05  Neil Conway <neilconway@rogers.com>

	* extconf.rb: Fix typo.

2001-03-28  Hiroshi IGARASHI  <iga@ruby-lang.org>

	* rbgdk-pixbuf.c (new_from_file): check whether return value is NULL.

2001-02-25  Hiroshi IGARASHI  <iga@ruby-lang.org>

	* rbgdk-pixbuf.c (get_height): width and height were jumbled.

2001-01-13  Hiroshi IGARASHI  <iga@ruby-lang.org>

	* lib/gdk_pixbuf.rb: add wrapper library for loading depedencies.

2000-09-20  Hiroshi IGARASHI  <iga@ruby-lang.org>

	* rbgdk-pixbuf.c (scale):
	now use GdkInterpType instead of ArtFilterLevel.

2000-03-30  Hiroshi IGARASHI  <iga@ruby-lang.org>

	* extconf.rb: use `gdk-pixbuf-config --libs'.

2000-03-30  Hiroshi IGARASHI  <iga@ruby-lang.org>

	* MANIFEST: create a file.
